Bug 903720 - Unable to checkin error when installing samples to Guvnor with modeshape
Unable to checkin error when installing samples to Guvnor with modeshape
Status: NEW
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: manstis
Radovan Synek
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-24 11:20 EST by Radovan Synek
Modified: 2013-06-26 21:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
empty repository (8.35 KB, text/xml)
2013-01-24 11:20 EST, Radovan Synek
no flags Details
server log (130.73 KB, text/x-log)
2013-01-24 11:22 EST, Radovan Synek
no flags Details

  None (edit)
Description Radovan Synek 2013-01-24 11:20:56 EST
Created attachment 686850 [details]
empty repository

Description of problem:
After importing empty_repository.xml - see an attachment, the dialog box appear questioning whether you want to install the samples or not. When clicking "yes" the error appears: 400 unable to checkin.

See the attached server.log for the detailed error message.


How reproducible:


Steps to Reproduce:
1. configure BRMS.5.3.1 standalone with guvnor to use modeshape
2. start the server, log in, on the first "install samples" dialog, reject the instalation and import attached empty_repo.xml 
3. the dialog should appear again, this time choose installing samples
4. you should be able to see the error now, check server.log

Expected results:
installation of samples should finish without any error message

Additional info:
this feature worked before, definitely with BRMS-5.3.0
Comment 1 Radovan Synek 2013-01-24 11:22:15 EST
Created attachment 686851 [details]
server log
Comment 2 Geoffrey De Smet 2013-03-05 08:40:11 EST
Reassign to the guvnor team, now that I am working full time on planner. So these issues aren't forgotten.

Note You need to log in before you can comment on or make changes to this bug.